import java.util.*;
import java.awt.*;

class Main {
    public static void main(String[] args) {
        TreeSet set = new TreeSet();
        Random rnd = new Random();

        for (int i=0; i<10; i++) {
            set.add(new MyPoint((int)(
                rnd.nextInt(100)),(int)rnd.nextInt(100)));
        }

        for (Iterator it=set.iterator(); it.hasNext(); ) {
            MyPoint p = (MyPoint)it.next();
            System.out.println(p.x + " " + p.y);
        }
    }
}

class MyPoint extends Point implements Comparable {
    MyPoint(int x, int y) {
        super(x, y);
    }
    public int compareTo(Object o) {
        Point p = (Point)o;
        double d1 = Math.sqrt(x*x + y*y);
        double d2 = Math.sqrt(p.x*p.x + p.y*p.y);
        if (d1 < d2) {
            return -1;
        } else if (d2 < d1) {
            return 1;
        } else {
            return 0;
        }
    }
}