import java.math.*;
import java.util.*;

class Main {
    public static void main(String[] args) {
//
        // Some sample output.
        BigDecimal a = new BigDecimal("1.23");
        BigDecimal b = new BigDecimal("1.234");
        System.out.println(a.compareTo(b));                // -1
        System.out.println(b.compareTo(a));                // 1

        a = new BigDecimal("1.23");
        b = new BigDecimal("1.2300");
        System.out.println(a.compareTo(b));                // 0
        System.out.println(a.equals(b));                   // false

        //System.out.println( a.compareTo("A String") );   // ClassCastException
        //System.out.println( a.compareTo(null) );         // NullPointerException

        // Sorting a list of big decimal numbers.
        List list = new ArrayList();
        for (int i=0; i<5; i++) {
            list.add(new BigDecimal(Math.random()));
        }
        Collections.sort(list);
        for (int i=0; i<5; i++) {
            System.out.println( list.get(i) );
        }
//
    }
}
