import java.text.AttributedString;
import java.text.AttributedCharacterIterator;
import java.text.Annotation;
import java.util.Locale;

class Main {
    public static void main(String[] args) {

        // Create an attributed string.
        AttributedString attrStr = new AttributedString("\u7956\u7236\u304c\u30af\u30ea\u30b9\u30de\u30b9\u306b\u829d\u5c45\u3092\u898b\u306b\u884c\u304d\u3001\u3068\u3066\u3082\u611f\u6fc0\u3057\u305f\u3068\u3044\u3063\u3066\u307e\u3057\u305f\u3002");

        // Add a Japanese language attribute key/value pair to entire string.
        attrStr.addAttribute(
            AttributedCharacterIterator.Attribute.LANGUAGE,
            Locale.JAPANESE);

        // Set up variables.
        AttributedCharacterIterator.Attribute attrIMS =
            AttributedCharacterIterator.Attribute.INPUT_METHOD_SEGMENT;

        // Add INPUT_METHOD_SEGMENT attribute key/value pairs 
        // for each word.
        attrStr.addAttribute(attrIMS, new Annotation(null),  0,  2 );
        attrStr.addAttribute(attrIMS, new Annotation(null),  2,  3 );
        attrStr.addAttribute(attrIMS, new Annotation(null),  3,  8 );
        attrStr.addAttribute(attrIMS, new Annotation(null),  8,  9 );
        attrStr.addAttribute(attrIMS, new Annotation(null),  9, 11 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 11, 12 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 12, 13 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 13, 14 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 14, 15 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 15, 16 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 16, 17 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 17, 20 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 20, 22 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 22, 24 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 24, 25 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 25, 31 );
        attrStr.addAttribute(attrIMS, new Annotation(null), 31, 32 );
    }
}
