import java.util.*;

class Main {
    public static void main(String[] args) {
//
        List list = Arrays.asList(new String[]{"dog", null, "cat", "dog"});

        // The size of the list cannot be changed.
        //System.out.println( list.remove(0) );    // UnsupportedOperationException

        // Make it modifiable list.
        list = new ArrayList(list);
        System.out.println( list.remove("pig") );    // false
        System.out.println( list.remove("dog") );    // true
        System.out.println( list );              // [null, cat, dog]
        System.out.println( list.remove(1) );    // cat
        System.out.println( list );              // [null, dog]
        list.remove(100);                        // IndexOutOfBoundsException
//
    }
}
