import java.util.*;

class Main {
    public static void main(String[] args) {
//
        List list = new LinkedList(Arrays.asList(new String[]{"dog", "cat", "pig"}));
        List slist = list.subList(1, 2);
        System.out.println( slist );            // [cat] 
        System.out.println( slist.get(0) );     // cat
        //System.out.println( slist.get(-1) );  // IndexOutOfBoundsException

        // Append an element into the sublist.
        slist.add("cow");

        // The original list shows the new element.
        System.out.println( list );             // [dog, cat, cow, pig]

        // Clear the sublist.
        slist.clear();
        System.out.println( list );             // [dog, pig]

        // Try removing an element from the original list and then reuse the sublist
        list.remove(1);
        System.out.println( slist.get(0) );     // ConcurrentModificationException
//
    }
}
