import java.util.*;

class Main {
    public static void main(String[] args) {
//
        List list = new ArrayList(Arrays.asList(new String[]{"dog", null, "cat"}));
        ListIterator it = list.listIterator();
        
        //it.set("pig");                           // IllegalStateException
        System.out.println( it.next() );           // dog
        it.set("pig");
        it.set("pig");
        System.out.println( list );                // [pig, null, cat]

        // You cannot call set() after remove() or add().
        it.remove();
        //it.set("cow");                           // IllegalStateException
        it.add("dog");
        //it.set("cow");                           // IllegalStateException
        System.out.println( list );                // [dog, null, cat]

        // Go backwards and replace with pig
        System.out.println( it.next() );           // null
        System.out.println( it.previous() );       // null
        it.set("pig");
        System.out.println( list );                // [dog, pig, cat]

        // Replace "dog" with "cow".
        for (ListIterator i=list.listIterator(); i.hasNext(); ) {
            if (i.next().equals("dog")) {
                i.set("cow");
            }
        }
        System.out.println( list );                // [cow, pig, cat]
//
    }
}
