import java.util.PropertyPermission;
import java.io.FilePermission;

public class Main {
    public static void main(String[] args) {
//
        PropertyPermission p0 = new PropertyPermission("*", "write,read");
        PropertyPermission p1 = new PropertyPermission("*", "read, write");
        PropertyPermission p2 = new PropertyPermission("os.*", "read");
        PropertyPermission p3 = new PropertyPermission("user.dir", "write");
        PropertyPermission p4 = new PropertyPermission("user.dir", "read");

        System.out.println(p1.equals(p0)); // true (action order irrelevant)
        System.out.println(p1.equals(p2)); // false
        System.out.println(p2.equals(p3)); // false
        System.out.println(p3.equals(p4)); // false (actions different)
        System.out.println(p4.equals(new FilePermission("user.dir", "read")));
                                                        // classes different

        System.out.println(p1.hashCode()); // 42
        System.out.println(p2.hashCode()); // 3418784
        System.out.println(p3.hashCode()); // -267617302
//
    }
}


    
