import java.math.*;
import java.util.*;

class change {
    public static void main(String[] args) {
//
        String[] ids = TimeZone.getAvailableIDs();
        for (int i=0; i<ids.length; i++) {
            TimeZone tz = TimeZone.getTimeZone(ids[i]);
            BigDecimal rawOffset = new BigDecimal(tz.getRawOffset());

            int scale = 2;
            rawOffset = rawOffset.divide(new BigDecimal(60*60*1000), scale,
                BigDecimal.ROUND_DOWN);

            while (scale > 0) {
                try {
                    rawOffset = rawOffset.setScale(--scale, BigDecimal.ROUND_UNNECESSARY);
                } catch (ArithmeticException e) {
                    break;
                }
            }
            System.out.println( ids[i]+"\t"+rawOffset+"\t"+tz.getDisplayName(false, TimeZone.SHORT)+"\t"+tz.getDisplayName(false, TimeZone.LONG) );
        }
//
    }
}
