import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Vector v = new Vector(Arrays.asList(new String[]{"dog", "cat", "pig"}));
        List slist = v.subList(1, 2);
        System.out.println( new ArrayList(slist) ); // [cat] 
        System.out.println( slist.get(0) );         // cat
        //System.out.println( slist.get(-1) );      // IndexOutOfBoundsException

        // Append an element into the sublist.
        slist.add("cow");

        // The original list shows the new element.
        System.out.println( v );                    // [dog, cat, cow, pig]

        // Clear the sublist.
        slist.clear();
        System.out.println( v );                    // [dog, pig]

        // Create a sublist and then remove element from vector.
        slist = v.subList(0, v.size());
        v.remove(1);
        //System.out.println( slist.get(0) );       // ConcurrentModificationException
//
    }
}
