import java.io.*;
import java.util.*;
import java.util.jar.*;
class Main {
    public static void main(String[] args) {
        Attributes a = new Attributes();
        a.put(new Attributes.Name("dog"), "spot");
        print(a);                         // {dog=spot}
        a.put(new Attributes.Name("DOG"), "spot");
        print(a);                         // {dog=spot}; ignore case of name
        a.put(new Attributes.Name("DOG"), "ruff");
        print(a);                         // {dog=ruff}

        a.putValue("dog", "spot");
        print(a);                         // {dog=spot}
        a.putValue("DOG", "ruff");
        print(a);                         // {dog=ruff}
    }
    static void print(Attributes a) {
        System.out.print("{");
        boolean first = true;
        for (Iterator it=a.keySet().iterator(); it.hasNext(); ) {
            if (first) {
                first = false;
            } else {
                System.out.print(", ");
            }
            Object key = it.next();
            System.out.print(key+"="+a.get(key));
        }
        System.out.println("}");
    }
}
