import java.io.File;
import java.io.IOException;
import java.io.FileWriter;

class Main {
    public static void main(String[] args) {
//
        try {
            File temp = File.createTempFile("jcl", ".out");

            // Make sure it gets deleted when we're done
            temp.deleteOnExit();

            // Print out file name to see what we got
            System.out.println(temp);

            FileWriter fout = new FileWriter(temp);
            for (int i = 0; i < 100; i++) {
                fout.write("hello" + i);
            }
            fout.close();
            System.out.println("Temp file size: " + temp.length());
        } catch (IOException e) {
            e.printStackTrace();
        }
//
    }
}
