import java.io.*;
import java.net.SocketPermission;

public class Main {
    public static void main(String[] args) {
//
char s = File.separatorChar;
FilePermission p1 = new FilePermission("<<ALL FILES>>", "read, write");
FilePermission p2 = new FilePermission("", "read");
FilePermission p3 = new FilePermission(s+"tmp", "read");
FilePermission p4 = new FilePermission(s+"tmp"+s+"*", "read");
FilePermission p5 = new FilePermission(s+"tmp"+s+"foo", "read");
FilePermission p6 = new FilePermission(s+"tmp"+s+"foo", "execute");

System.out.println(p1.implies(p2));             // true
System.out.println(p1.implies(p3));             // true
System.out.println(p4.implies(p3));             // false; tmp excluded from *
System.out.println(p4.implies(p4));             // true
System.out.println(p4.implies(p5));             // true
System.out.println(p4.implies(p6));             // false; diff action

System.out.println(
    p1.implies(new SocketPermission("java.sun.com:80", "connect")));
                                                // false; diff Permission class
System.out.println(p1.implies(null));           // false; null Permission
//
    }
}


    
