import java.lang.reflect.Method;
import java.lang.reflect.Modifier;

public class Main {
    public static void main(String argv[]) {

        int cmods = C.class.getModifiers();
        printMods(C.class.getName(), cmods);

        Method[] mds  = C.class.getDeclaredMethods();

        for (int i = 0; i < mds.length; i++) {
            printMods(mds[i].getName(), mds[i].getModifiers());
        }
    }

    static void printMods(String item, int mods) {
        System.out.println(item + ":" + 
            ((Modifier.isStrict(mods)) ? "strict" : "not strict"));
    }

    class C {
        public strictfp double f1(double dx) {
            return dx/(1L<<54);
        }

        public  double f2(double dx) {
            return dx/(1L<<54);
        }
    }
}
