public class Main {
    static public class MaryJohnSubsets extends Character.Subset {
        private MaryJohnSubsets(String name) {
            super(name);
        }
        public static final MaryJohnSubsets MARY = new MaryJohnSubsets("MARY");
        public static final MaryJohnSubsets JOHN = new MaryJohnSubsets("JOHN");

        public static MaryJohnSubsets of(char c) {
            switch (c) {
            case 'M':
            case 'A':
            case 'R':
            case 'Y':
                return MARY;
                
            case 'J':
            case 'O':
            case 'H':
            case 'N':
                return JOHN;
            }
            return null;
        }
    }

    public static void main(String[] args) {
        System.out.println(MaryJohnSubsets.of('R'));    // MARY
        System.out.println(MaryJohnSubsets.of('O'));    // JOHN
    }
}
