import java.text.FieldPosition;
import java.text.NumberFormat;
class Main {
    public static void main(String args[]) {
        // Create two field positions.
        FieldPosition fp1 = new FieldPosition(NumberFormat.INTEGER_FIELD);
        System.out.println(fp1.toString());

        FieldPosition fp2 = new FieldPosition(NumberFormat.INTEGER_FIELD);
        System.out.println(fp2.toString());

        // Tests for equality.
        System.out.println( fp1.equals(fp2) );                   // true
        System.out.println( fp1.equals(null) );                  // false

        // Compute hashcode.
        System.out.println( fp1.hashCode() == fp2.hashCode() );  // true

        fp1.setBeginIndex(1);

        // Tests for equality.
        System.out.println( fp1.equals(fp2) );                   // false
        System.out.println( fp1.equals(null) );                  // false

        // Compute hashcode.
        System.out.println( fp1.hashCode() == fp2.hashCode() );  // false
    }
}
