import java.util.*;
import java.text.*;

class Main {
    public static void main(String[] args) {
//
        Calendar cal = new GregorianCalendar();
        DateFormat df = DateFormat.getInstance();

        cal.set(1997, Calendar.JANUARY, 31);

        System.out.println(df.format(cal.getTime()));     // 1/31/97 9:54 AM
        cal.roll(Calendar.MONTH, false);
        System.out.println(df.format(cal.getTime()));     // 12/31/97 9:54 AM
        cal.roll(Calendar.DATE, true);
        System.out.println(df.format(cal.getTime()));     // 12/1/97 9:54 AM

        cal.set(1997, Calendar.JANUARY, 31);

        System.out.println(df.format(cal.getTime()));     // 1/31/97 9:54 AM
        cal.roll(Calendar.MONTH, -2);
        System.out.println(df.format(cal.getTime()));     // 11/30/97 9:54 AM
        cal.roll(Calendar.DATE, 2);
        System.out.println(df.format(cal.getTime()));     // 11/2/97 9:54 AM

        //cal.roll(Calendar.DST_OFFSET, true);            // IllegalArgumentEx
        //cal.roll(Calendar.ZONE_OFFSET, true);           // IllegalArgumentEx
//
    }
}
