import java.util.*;

class Main {
    public static void main(String[] args) {
//
        StringBuffer buf = new StringBuffer("dog");
        List list = new LinkedList(Arrays.asList(new Object[]{buf, "cat"}));

        System.out.println( list );        // [dog, cat] 

        List list2 = (List)(((LinkedList)list).clone());
        System.out.println( list2 );       // [dog, cat] 

        // This shows that the cloned list shares the same elements
        // as the original list.
        buf.append("fish");
        System.out.println( list2 );       // [dogfish, cat] 
//
    }
}
