import java.util.*;

class Main {
    public static void main(String[] args) {
//
        List list = new LinkedList(Arrays.asList(new String[]{"dog", null, "cat"}));

        // Traverse the list forwards, removing all null elements
        // and replacing "cat" with "cow".
        for (ListIterator it=list.listIterator(); it.hasNext(); ) {
            Object e = it.next();
            System.out.print(e + " ");      // dog null cat

            if (e == null) {
                // Remove null elements.
                it.remove();
            } else if (e.equals("cat")) {
                // Replace cat with cow.
                it.set("cow");
            }
        }
        System.out.println( list );         // [dog, cow]

        // Traverse the list backwards.
        list = new LinkedList(Arrays.asList(new String[]{"dog", null, "cat"}));
        for (ListIterator it=list.listIterator(list.size()); it.hasPrevious(); ) {
            Object e = it.previous();
            System.out.print(e + " ");      // cat null dog
        }
//
   }
}
