import java.util.PropertyPermission;
import java.net.SocketPermission;

public class Main {
    public static void main(String[] args) {
//
PropertyPermission p1 = new PropertyPermission("*", "read, write");
PropertyPermission p2 = new PropertyPermission("*", "read");
PropertyPermission p3 = new PropertyPermission("java.*", "read");
PropertyPermission p4 = new PropertyPermission("java.home", "read");
PropertyPermission p5 = new PropertyPermission("foo.bar", "write");

System.out.println(p1.implies(p2));             // true
System.out.println(p1.implies(p3));             // true
System.out.println(p4.implies(p3));             // false; diff name
System.out.println(p3.implies(p4));             // true
System.out.println(p1.implies(p5));             // true
System.out.println(p2.implies(p5));             // false; diff action
System.out.println(p4.implies(p5));             // false; diff name, action

System.out.println(
    p1.implies(new SocketPermission("java.sun.com:80", "connect")));
                                                // false; diff Permission
System.out.println(p1.implies(null));           // false; null Permission
//
    }
}


    
