import java.util.*;

class Main {
    public static void main(String[] args) {
//
        SimpleTimeZone tz = (SimpleTimeZone)TimeZone.getTimeZone("PST");

        // Change the daylight savings difference to 30 minutes.
        tz.setDSTSavings(30*60*1000);

        // The above only affects tz; it does not change other 
        // TimeZone objects that were or will be created 
        // from calling TimeZone.getTimeZone().
        System.out.println(
            ((SimpleTimeZone)TimeZone.getTimeZone("PST")).getDSTSavings() );
                // 3600000

        // tz.setDSTSavings(0);     // IllegalArgumentException
        // tz.setDSTSavings(-1);    // IllegalArgumentException
//
    }
}
