import java.util.*;

class Main {
    public static void main(String[] args) {
//
        SimpleTimeZone tz = (SimpleTimeZone)TimeZone.getTimeZone("PST");
        System.out.println( tz );
            // java.util.SimpleTimeZone[id=PST,offset=-28800000,
            // dstSavings=3600000,useDaylight=true,startYear=0,
            // startMode=3,startMonth=3,startDay=1,startDayOfWeek=1,
            // startTime=7200000,endMode=2,endMonth=9,endDay=-1,
            // endDayOfWeek=1,endTime=7200000]

        int time = 2*60*60*1000;

        tz.setStartRule(Calendar.MARCH, 15, time);
        System.out.println( tz );
            // ...startMode=1,startMonth=2,startDay=15,
            // startDayOfWeek=0,startTime=7200000...

        tz.setStartRule(Calendar.MARCH, 15, 0, time);
        System.out.println( tz );
            // ...startMode=1,startMonth=2,startDay=15,
            // startDayOfWeek=0, startTime=7200000...

        tz.setStartRule(Calendar.MARCH, 2, Calendar.WEDNESDAY, time);
        System.out.println( tz );
            // ...startMode=2,startMonth=2,startDay=2,
            // startDayOfWeek=4,startTime=7200000...

        tz.setStartRule(Calendar.MARCH, -2, Calendar.WEDNESDAY, time);
        System.out.println( tz );
            // ...startMode=2,startMonth=2,startDay=-2,
            // startDayOfWeek=4,startTime=7200000...

        tz.setStartRule(Calendar.MARCH, 2, Calendar.WEDNESDAY, time, true);
        System.out.println( tz );
            // ...startMode=3,startMonth=2,startDay=2,
            // startDayOfWeek=4,startTime=7200000...

        tz.setStartRule(Calendar.MARCH, 2, Calendar.WEDNESDAY, time, false);
        System.out.println( tz );
            // ...startMode=4,startMonth=2,startDay=2,
            // startDayOfWeek=4,startTime=7200000...
//
    }
}
