import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Vector v1 = new Vector(Arrays.asList(new String[]{"dog", null, "cat"}));
        Vector v2 = new Vector(Arrays.asList(new String[]{"dog", "cat"}));

        System.out.println( v1.equals(null) );                      // false
        System.out.println( v1.equals(v2) );                        // false

        v2.add(1, null);
        System.out.println( v1.equals(v2) );                        // true

        // Shows that vectors are never equal to non-list objects.
        System.out.println( new Vector().equals(new HashSet()) );   // false
//
    }
}
